View Issue Details

IDProjectCategoryView StatusLast Update
0004248SymmetricDS ProBugpublic2020-01-23 15:42
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.4Fixed in Version3.11.4 
Summary0004248: Oracle Log Miner: binary types BLOB and RAW not replicating correctly
DescriptionThe Oracle Log Miner is parsing changes to BLOB and RAW data types as hex-encoded data, but the SymmetricDS Oracle dialect is extracting batches and expecting base64-encoded data. The result is that binary columns are not replicated with the exact matching bytes.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 cc86a1c7

2020-01-17 13:38:03

admin

Details Diff
0004248: Oracle Log Miner: binary types BLOB and RAW not replicating
correctly
Affected Issues
0004248
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2020-01-17 13:25 elong New Issue
2020-01-17 13:25 elong Status new => assigned
2020-01-17 13:25 elong Assigned To => elong
2020-01-17 13:39 elong Status assigned => resolved
2020-01-17 13:39 elong Resolution open => fixed
2020-01-17 13:39 elong Fixed in Version => 3.11.4
2020-01-17 14:00 admin Changeset attached => SymmetricDS 3.11 cc86a1c7
2020-01-22 11:21 elong Project SymmetricDS => SymmetricDS Pro
2020-01-23 15:42 admin Status resolved => closed